Subject: Re: [PATCH] mm: kill kmemcheck

From: Boaz Harrosh <[email-masked]>
Date: Wed, 11 Mar 2015 16:35:57 +0200

On 03/11/2015 03:39 PM, Sasha Levin wrote:
> On 03/11/2015 08:40 AM, Steven Rostedt wrote:
>> On Wed, 11 Mar 2015 08:34:46 -0400
>> Sasha Levin <[email-masked]> wrote:
>>
>>>> Fair enough. We knew there are existing kmemcheck users, but KASan should be
>>>> superior both in performance and the scope of bugs it finds. It also shouldn't
>>>> impose new limitations beyond requiring gcc 4.9.2+.
>>>>
>> Ouch! OK, then I can't use it. I'm currently compiling with gcc 4.6.3.
>>
>> It will be a while before I upgrade my build farm to something newer.
> 
> Are you actually compiling new kernels with 4.6.3, or are you using older
> kernels as well?
> 
> There's no real hurry to kill kmemcheck right now, but we do want to stop
> supporting that in favour of KASan.
> 

Just my $0.017 for me I wish there was the single config MEM_CHECK and
the new or old would be selected automatically depending on enabling
factors, for example gcc version, if arch dependent and so on.

Thanks
Boaz